# zmq_errno(3) Manual Page

## NAME

zmq_errno - retrieve value of errno for the calling thread

## SYNOPSIS

int zmq_errno (void);

## DESCRIPTION

The zmq_errno() function shall retrieve the value of the errno variable for the calling thread.

The zmq_errno() function is provided to assist users on non-POSIX systems who are experiencing issues with retrieving the correct value of errno directly. Specifically, users on Win32 systems whose application is using a different C run-time library from the C run-time library in use by ØMQ will need to use zmq_errno() for correct operation.

Important | Users not experiencing issues with retrieving the correct value of errno should not use this function and should instead access the errno variable directly.

## RETURN VALUE

The zmq_errno() function shall return the value of the errno variable for the calling thread.

## ERRORS

No errors are defined.

## SEE ALSO

zmq(7)

## AUTHORS

This ØMQ manual page was written by Martin Sustrik <sustrik@250bpm.com> and Martin Lucina <mato@kotelna.sk>.